16 May 2014 clm close 14-137

1.
NAME
2.
SYNOPSIS
3.
DESCRIPTION
4.
OPTIONS
5.
AUTHOR
6.
SEE ALSO

## NAME

clm close — Fetch connected components from graphs or subgraphs

clmclose is not in actual fact a program. This manual page documents the behaviour and options of the clm program when invoked in mode close. The options -h, --apropos, --version, -set, --nop are accessible in all clm modes. They are described in the clm manual page.

## SYNOPSIS

clm close -imx <fname> [options]

clm close -imx fname (specify matrix input) -abc fname (specify label input) -dom fname (input domain/cluster file) [-o fname (output file)] [--is-undirected (trust input graph to be undirected)] [--write-count (output component count)] [--write-sizes (output component sizes (default))] [--write-cc (output components as clustering)] [--write-block (output graph restricted to -dom argument)] [--write-blockc (output graph complement of -dom argument)] [-cc-bound num (select components with size at least num)] [-tf spec (apply tf-spec to input matrix)] [-h (print synopsis, exit)] [--apropos (print synopsis, exit)] [--version (print version, exit)]

## DESCRIPTION

Use clm close to fetch the connected components from a graph. Different output modes are supported (see below). In matrix mode (i.e. using the -imx option) the output returned with --write-cc can be used in conjunction with mcxsubs to retrieve individual subgraphs corresponding to connected components.

## OPTIONS

-abc <fname> (label input)

The file name for input that is in label format.

-imx <fname> (input matrix)

The file name for input that is in mcl native matrix format.

-o fname (output file)

Specify the file where output is sent to. The default is STDOUT.

-dom fname (input domain/cluster file)

If this option is used, clm close will, as a first step, for each of the domains in file fname retrieve the associated subgraph from the input graph. These are then further decomposed into connected components, and the program will process these in the normal manner.

--write-count (output component count)
--write-sizes (output component sizes (default))
--write-cc (output components as clustering)
--write-block (output graph restricted to -dom argument)
--write-blockc (output graph complement of -dom argument)

The default behaviour is currently to output the sizes of the connected components. It is also possible to simply output the number of components with --write-count or to write the components as a clustering in mcl format with -write-cc. Even more options exist: it is possible to output the restriction of the input graph to a domain, or to output the complement of this restriction.

--is-undirected (omit graph undirected check)

With this option the transformation to make sure that the input is undirected is omitted. This will be slightly faster. Using this option while the input is directed may lead to erronenous results.

-cc-bound num (select components with size at least num)
Transform the input matrix values according to the syntax described in mcxio.

## AUTHOR

Stijn van Dongen.

## SEE ALSO

mclfamily for an overview of all the documentation and the utilities in the mcl family.